<?php include $_SERVER['DOCUMENT_ROOT']."/Week11Assignments/Week11Assignment/inc/header.php"; 

$recipe_id = htmlspecialchars($_GET["recipe_id"]   ?? "");
$recipes = getRecipeByID($recipe_id);
$recipe = $recipes->fetch_assoc();
$categories = getAllcategories($mysqli);

if(is_null($recipe)) {    // if there is no product, set a message, redirect the user, and exit the script
    $_SESSION["message"] = "No products were found. Please choose another item.";
    header("location: /admin/search.php");
    exit();
}

?>
<div class="container" style="max-width:700px;padding-top:80px">
    <form action="/admin/recipes.php" method="post">
        <div class="row">


            <!-- Recipe ID -->
            <div class="col-4">
                ID:
            </div>
            <div class="col-8"><?= $recipe["recipe_id"] ?>
                <input type="hidden" value="<?= $recipe["recipe_id"] ?>" name="recipe_id" id="recipe_id" class="form-control" aria-label="Search Recipes" aria-describedby="button-addon2">
            </div>
        </div>
        <div class="row">
            <!-- Recipe NAME -->
            <div class="col-4">
                Name:
            </div>
            <div class="col-8">
                <input type="text" value="<?= $recipe["name"] ?>" name="name" id="name" class="form-control" aria-label="Search Recipes" aria-describedby="button-addon2">
            </div>
        </div>

        <div class="row">
            <!-- Recipe ingredients -->
            <div class="col-4">
                Ingredients:
            </div>
            <div class="col-8">
                <textarea name="ingredients" id="ingredients" class="form-control" aria-label="Search Recipes" aria-describedby="button-addon2"><?= $recipe["ingredients"] ?></textarea>
            </div>
        </div>

        <div class="row">
            <!-- Recipe instructions -->
            <div class="col-4">
                Instructions:
            </div>
            <div class="col-8">
                <textarea name="instructions" id="instructions" class="form-control" aria-label="Search Recipes" aria-describedby="button-addon2"><?= $recipe["instructions"] ?></textarea>
            </div>
        </div>
        <div class="row">
            <!-- Recipe Category -->
            <div class="col-4">
                Category:
            </div>
            <div class="col-8">
                <select class="form-select" name="category_id" id="category_id">
                    <?php 
                            foreach($categories as $category) {
                                $recipe_category_id = $recipe["category_id"];
                                $current_category_id = $category["category_id"];
                                if($recipe_category_id == $current_category_id) {
                                    $selected = "selected";
                                } else {
                                    $selected = "";
                                }
                            ?>
                    <option <?= $selected ?> value="<?= $category["category_id"] ?>"><?= $category["category_name"] ?></option>
                    <?php } ?>
                </select>
            </div>
        </div>

        <!-- BUTTON -->
        <div class="text-center ">
            <button name="action" value="save" class="btn bg-tan" type="submit" id="button-addon2">SAVE Changes</button>
            <button name="action" value="delete" class="btn bg-tan" type="submit" id="button-addon2">DELETE Recipe</button>
        </div>
    </form>


    <?php include $_SERVER['DOCUMENT_ROOT']."/Week11Assignments/Week11Assignment/inc/footer.php"; ?>